------------------
- Release infrastructure. [skullY]
- Add some documentation to the scripts. [skullY]
- Add a contributing section. [skullY]
- Enhance the workflows. [skullY]
- Add windows and caching to CI. [skullY]
- Add missing addirs. [skullY]
- Setup CI. [skullydazed]
- Add a script to run ci tests. [skullY]
- Yapf. [skullY]
- Add generated api docs. [skullY]
- Clean up the sidebar. [skullY]
- Yapfify. [skullY]
- Add flake8 and yapf configs. [skullY]
- Remove the link. [skullY]
- Make the question.md formatting nicer. [skullY]
- Remove qmk references. [skullY]
- Fix the chart. [skullY]
- Add some missing docs. [skullY]
- Polish some rough edges. [skullY]
- Print->cli.echo. [skullY]
- Remove unused getting_started.md. [skullY]
- Fix up the examples in the tutorial. [skullY]
- Update the example in the tutorial. [skullY]
- Add note about cli.config.general. [skullY]
- Add backtics around None. [skullY]
- Add configuration to the sidebar. [skullY]
- Document configuration, make cli.args an attrdict. [skullY]
- Create CNAME. [skullydazed]
- Delete CNAME. [skullydazed]
- Create CNAME. [skullydazed]
- Disable jekyll. [skullY]
- Flesh out the MILC documentation. [skullY]
- Allow programs to override app_name and app_author. [skullY]
- Rearrange the docs and add docsify. [skullY]
- Break milc up into pieces. [skullY]
- Sync with qmk_firmware and fix a couple bugs. [skullY]
- Cleanup. [skullY]
- Update screenshots. [skullY]
- Refactor the API to require descriptions. [skullY]
- Cleanup a bit and add some documentation. [skullY]
- Add cli.print() [skullY]
- Cleanup for first github push. [skullY]
- Add a flake8 config and fixup flake8 errors. [skullY]
- Add a .gitignore. [skullY]
- Add support for store_boolean arguments. [skullY]
- Add support for reading and writing config files. [skullY]
- Add spinner support. [skullY]
- Fix a typo. [skullY]
- Make the printed log level output colored icons instead of text.
[skullY]
- Add ANSI support to CLIM. [skullY]
- Minor tweak. [skullY]
- Add an RLock for thread safety. [skullY]
- Add support for both printed and file logs. [skullY]
- Flesh out the module's docstring. [skullY]
- Strip whitespace. [skullY]
- Add a documentation stub. [skullY]
- Add argument decorator, flesh out docs. [skullY]
- Small cleanup. [skullY]
- Barebones skeleton for the qmk cli. [skullY]
!/bin/sh
Increment the verison number and release a new version of MILC.
Required packages are in requirements-release.txt
set -e
set -x
echo "This script has been deprecated. Use the github action instead."
exit
case "$1" in
major)
BUMPVERSION_TYPE=major
;;
minor)
BUMPVERSION_TYPE=minor
;;
*)
BUMPVERSION_TYPE=${BUMPVERSION_TYPE:-patch}
;;
esac
PYPI_USERNAME=${PYPI_USERNAME:=skully}
TWINE_USERNAME=$PYPI_USERNAME
export TWINE_USERNAME
Install deps
python3 -m pip install --upgrade -r requirements-release.txt
Make sure the tree is clean
if ! git status | grep 'working tree clean'; then
echo '*** Working tree is not clean!'
exit 1
fi
rm -f dist/*
Make sure we're current with master
git pull --ff-only
Generate the documentation
./generate_docs
if ! git status | grep 'working tree clean'; then
docs_good=1
for doc in docs/api*.md; do
if ! grep -q "$(basename $doc)" docs/_summary.md; then
echo "No _summary entry for ${doc}!"
docs_good=0
fi
done
if [ $docs_good -eq 0 ]; then
exit 2
fi
git add .
git commit -m"Generated API documentation."
fi
Increment the version number
bumpversion $BUMPVERSION_TYPE
Push our work up
git push origin master --tags
Build our package
python3 setup.py sdist bdist_wheel
Upload to pypi
twine upload dist/milc-*